Exit overcloud-deploy.sh on provision failure

This script file does not have 'set -e' due to the exit handling of
other commands in this script, so provision failures do not stop the
overcloud deploy from happening.

This change will exit this script if provision does not succeed.

Change-Id: I76edf84d206ee1601dccb39c8380f0bdd575173e
This commit is contained in:
Steve Baker 2020-03-25 10:45:16 +13:00
parent ffd8f24e0a
commit 8e2ab53941

@ -32,6 +32,9 @@ done
## * Provision the baremetal nodes
## ::
openstack overcloud node provision --stack overcloud --output {{ working_dir }}/overcloud-baremetal-deployed.yaml {{ working_dir }}/overcloud_baremetal_deploy.yaml
if [ $? -ne 0 ]; then
exit 1
fi
{% endif %}
## * Deploy the overcloud!